// log management package

package ue

import (
	// "be.ems/features/ue/file_export"
	// "be.ems/features/ue/ims_user"
	"be.ems/features/ue/api"
	"be.ems/lib/log"
	"github.com/gin-gonic/gin"
)

func InitSubServiceRoute(r *gin.Engine) {
	log.Info("======init UE management group gin.Engine")

	ueGroup := r.Group("/ue")
	// register sub modules routes
	// file_export.Register(ueGroup)
	// ims_user.Register(ueGroup)
	api.UDMIMSUserRegister(ueGroup)
	api.FileExportRegister(ueGroup)
	api.VoIPAuthRegister(ueGroup)
	// register other sub modules routes
}

